SWAPINFO(1)

NAME
swapinfo - display free swap space

SYNOPSIS
swapinfo [-k]

DESCRIPTION
Swapinfo displays statistics about the amount of free swap space on all of the swap areas compiled into the kernel.

The following options are available:

-k  By default, all sizes are reported in 512-byte block counts. The -k option causes the numbers to be reported in kilobyte counts.

STATISTICS
Statistics are reported for all swap partitions configured into the kernel. The first column is the device name of the partition. The next column is the total space available in the partition. The Used column indicates the total blocks used so far; the Available column indicates how much space is remaining on each partition. The Capacity reports the percentage of space used.

If more than one partition is configured into the system, totals for all of the statistics will be reported in the final line of the report.

BUGS AND CAVEATS
The information reported by swapinfo is stored in the kernel in a linked list. Since we are merely reading this list out of kernel memory, it is entirely possible that the list could change as we try to read it. Suspicious and unrepeatable values are probably incorrect.

Statistics are reported for all swap partitions compiled into the kernel, regardless of whether those partitions are being used.

AUTHOR
Kevin Lahey
kml@rokkaku.atl.ga.us